﻿<?php 

// Get Ethernet MAC  - perform a grep on ifconfig shell command and extract the Ethernet MAC
$ifconfig_grep_string = "ifconfig | grep eth0";
$ifgrep_out = exec($ifconfig_grep_string);
$search_string = "HWaddr ";
$EthMAC = substr($ifgrep_out, strpos($ifgrep_out, $search_string) + strlen($search_string));

// Get network settings
require('network_settings.php');
//echo "NetworkSettings:<br>";
//print_r($NetworkSettings);

$EthDHCP = $NetworkSettings['EthDHCP'];
$EthIP = $NetworkSettings['EthIP'];
$EthSubnet = $NetworkSettings['EthSubnet'];
$EthGateway = $NetworkSettings['EthGateway'];
$EthDNS = $NetworkSettings['EthDNS'];
$EthDNSAddr = $NetworkSettings['EthDNSAddr'];

UpdateSBCSettings();

?>
<!DOCTYPE html>
<script type="text/javascript" >
function InitialSettings()
{
	var dhcp = "<?php echo $EthDHCP; ?>"
	var dns = "<?php echo $EthDNS; ?>"
		
	DHCP_Toggle(dhcp);
	DNS_Toggle(dns);
}
function DHCP_Toggle(selection)
{
	var static_button = document.getElementById("static_b");
	var dynamic_button = document.getElementById("dynamic_b");
	var DHCP_enabled = dynamic_button.classList.contains("btn-warning");
	
	if(selection == "static")
	{
		dynamic_button.classList.remove("btn-warning");
		dynamic_button.classList.add("btn-default");
		static_button.classList.remove("btn-default");
		static_button.classList.add("btn-warning");
		document.getElementById("EthDHCP").value = "static";
		DHCP_FieldsEnable(true);
	}
	else
	{
		static_button.classList.remove("btn-warning");
		static_button.classList.add("btn-default");
		dynamic_button.classList.remove("btn-default");
		dynamic_button.classList.add("btn-warning");
		document.getElementById("EthDHCP").value = "dynamic";
		DHCP_FieldsEnable(false);
	}
}
function DHCP_FieldsEnable(enable)
{
	var index
	var id_string = "spinEdit";
	for(index = 17; index <= 28; index++)
	{
		var id = id_string.concat(index);
		document.getElementById(id).disabled = !enable;
	}
}
function DNS_Toggle(selection)
{
	var static_button = document.getElementById("specific_server_b");
	var dynamic_button = document.getElementById("dhcp_auto_b");
	var DHCP_enabled = dynamic_button.classList.contains("btn-warning");
	
	if(selection == "static")
	{
		dynamic_button.classList.remove("btn-warning");
		dynamic_button.classList.add("btn-default");
		static_button.classList.remove("btn-default");
		static_button.classList.add("btn-warning");
		document.getElementById("EthDNS").value = "static";
		DNS_FieldsEnable(true);
	}
	else
	{
		static_button.classList.remove("btn-warning");
		static_button.classList.add("btn-default");
		dynamic_button.classList.remove("btn-default");
		dynamic_button.classList.add("btn-warning");
		document.getElementById("EthDNS").value = "dynamic";
		DNS_FieldsEnable(false);
	}
}
function DNS_FieldsEnable(enable)
{
	var index
	var id_string = "spinEdit";
	for(index = 37; index <= 40; index++)
	{
		var id = id_string.concat(index);
		document.getElementById(id).disabled = !enable;
	}
}
function ControlParse(e)
{
	//document.activeElement.style.backgroundColor = "green";
/*    var currentElement = document.activeElement; //$get(currentElementId); // ID set by OnFOcusIn
    var curIndex = currentElement.tabIndex; //get current elements tab index
    if(curIndex == lastTabIndex) { //if we are on the last tabindex, go back to the beginning
        curIndex = 0;
    }
    var tabbables = document.querySelectorAll("tabable"); //get all tabable elements
    for(var i=0; i<tabbables.length; i++) { //loop through each element
        if(tabbables[i].tabIndex == (curIndex+1)) { //check the tabindex to see if it's the element we want
            tabbables[i].focus(); //if it's the one we want, focus it and exit the loop
            break;
        }
    }
	
	
}
window.onkeypress = function(e) { */

	//var e = document.activeElement;

	var elements = document.getElementsByTagName('input');
	foreach(element )
	
    if (e.which == 13) {
       e.preventDefault();
	   var Inputs = inputs.index(document.activeElement.tabIndex);
       var nextInput = inputs.get(Inputs + 1);
       if (nextInput) {
          nextInput.focus();
       }
    }
}
</script>
<html lang="en">
  <?php require('head.php'); ?>
  <body onload="InitialSettings()">
    <!-- Modal -->
        <div class="modal fade bs-example-modal-sm" id="ipAddressChangeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header bg-info">
                <button id="close_button" type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title" id="myModalLabel"><span class="glyphicon glyphicon-info-sign"></span> Information</h4>
              </div>
              <div class="modal-body">
                <h4 id="important_header" class="bg-warning"><span class="glyphicon glyphicon-warning-sign"></span> Important!</h4>
                <p id="ethernet_message">If you have changed the IP Address of the Ethernet port you are currently connected to, you will need to enter the new address in the browser address bar to continue viewing web pages.</p>  
              </div>
              <div class="modal-footer">
                <ul class="pager">
                    <li><a id="continue" href="#" onclick="ethernetSubmit()" data-dismiss="modal">Continue <span class="glyphicon glyphicon-save"></span><span class="sr-only">(current)</span></a></li>
                    <li class="cancel"><a id="cancel" href="#" data-dismiss="modal">Cancel <span class="glyphicon glyphicon-ban-circle"></span><span class="sr-only">(current)</span></a></li>
                </ul>
              </div>
            </div>
          </div>
        </div>
        <div class="modal fade bs-example-modal-sm" id="invalidAddressModal" tabindex="-1" role="dialog" aria-labelledby="invalidAddressLabel" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header bg-info">
                <button type="button" id="close" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title" id="invalidAddressLabel"><span class="glyphicon glyphicon-info-sign"></span> Information</h4>
              </div>
              <div class="modal-body">
                <h4 id="second_important" class="bg-warning"><span class="glyphicon glyphicon-warning-sign"></span> Important!</h4>
                <p id="empty_fields">One or more of the entered fields is invalid.  Please re-enter all required fields with valid information.</p>  
              </div>
              <div class="modal-footer">
                <ul class="pager">
                    <li class="cancel"><a id="second_close" href="#" data-dismiss="modal">Close <span class="glyphicon glyphicon-ban-circle"></span><span class="sr-only">(current)</span></a></li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      <div class="container">
        <div class="panel panel-primary">
          <div class="panel-body">
            <?php require('navbar_header.php'); ?>
             <div class="panel">
                <div class="panel-heading">
                    <h3 id="another_important_header" class="panel-title"><span class="glyphicon glyphicon-warning-sign"></span> IMPORTANT!</h3>
                </div>
                <div class="panel-body bg-warning">
                    <p id="modification" class="bg-warning">Modifying these values without an understanding of Ethernet settings may result in the web interface being unreachable.</p>
                    <p id="local_it" class="bg-warning">Please contact your local IT expert if you are unsure of how to proceed.</p>
                </div>
              </div>
              <div class="panel panel-primary">
                    <div class="panel-heading">
                        <h3 id="ethernet_setup_header" class="panel-title"><span class="glyphicon glyphicon-cog"></span> Ethernet Setup</h3>
                    </div>
                    <div class="panel-body">
                        
                            <div class="row">
                                <div class="col-md-8 col-md-offset-2">
                                                <form action="/setup/ethernet.min.php" enctype="multipart/form-data" method="post" id="cont_ethernet" name="cont_ethernet">
								
                                    <div class="panel panel-info">
                                        <div class="panel-heading">
                                            <h3 id="ip_adress_header" class="panel-title"><span class="glyphicon glyphicon-info-sign"></span> Ethernet IP Address</h3>
                                        </div>
                                        <div class="panel-body">
                                            <h5 id="mac_b">MAC:  <?PHP echo $EthMAC; ?></h5>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="btn-group">
                                                        <div class="btn-group btn-toggle" data-toggle="buttons">
                                                            <label label-default="" class="btn btn-default" id="static_b"  onclick = "DHCP_Toggle('static');">
                                                                Static
                                                            </label>
                                                            <label label-default="" class="btn btn-warning" id="dynamic_b" onclick = "DHCP_Toggle('dynamic');">
                                                                Dynamic
                                                            </label>
                                                            <input class="hidden_values" type="hidden" name="EthDHCP" id="EthDHCP" value="" />
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    &nbsp;
                                                </div>
                                            </div>
                                            <div class="panel panel-primary">
                                                <div class="panel-heading">
                                                    <h3 id="network_header" class="panel-title"><span class="glyphicon glyphicon-info-sign"></span> Network Information</h3>
                                                </div>
                                                <div class="panel-body">
                                                      <div class="row">
                                                        <div class="col-md-12">
                                                            <label id="ip_address_label" for="ipaddress" class="col-md-4 control-label numonly">IP Address</label>
                                                        </div>
                                                      </div>
                                                      <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit17" id="Label16"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit17" class="aSpinEdit form-control" onkeydown="ControlParse(event)" name="EthIP[0]" value="<?php echo $EthIP[0] ?>"/>
                                                                </span>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit18" id="Label17"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit18" class="aSpinEdit form-control" name="EthIP[1]" value="<?php echo $EthIP[1] ?>"/>
                                                                </span>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit19" id="Label18"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit19" class="aSpinEdit form-control" name="EthIP[2]" value="<?php echo $EthIP[2] ?>"/>
                                                                </span>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit20" id="Label19"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit20" class="aSpinEdit form-control" name="EthIP[3]" value="<?php echo $EthIP[3] ?>"/>
                                                                </span>
                                                            </div>
                                                        </div>
                                                      </div>
                                                      <div class="row">
                                                        <div class="col-md-12">
                                                            &nbsp;
                                                        </div>
                                                      </div>
                                                      <div class="row">
                                                        <div class="col-md-12">
                                                            <label id="subnet_label" for="subnetmask" class="col-md-4 control-label numonly">Subnet Mask</label>
                                                        </div>
                                                      </div>
                                                      <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit21" id="Label20"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit21" class="aSpinEdit form-control" name="EthSubnet[0]" value="<?php echo $EthSubnet[0] ?>"/>
                                                                </span>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit22" id="Label21"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit22" class="aSpinEdit form-control" name="EthSubnet[1]" value="<?php echo $EthSubnet[1] ?>"/>
                                                                </span>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit23" id="Label22"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit23" class="aSpinEdit form-control" name="EthSubnet[2]" value="<?php echo $EthSubnet[2] ?>"/>
                                                                </span>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit24" id="Label23"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit24" class="aSpinEdit form-control" name="EthSubnet[3]" value="<?php echo $EthSubnet[3] ?>"/>
                                                                </span>
                                                            </div>
                                                        </div>
                                                      </div>
                                                      <div class="row">
                                                        <div class="col-md-12">
                                                            &nbsp;
                                                        </div>
                                                      </div>
                                                      <div class="row">
                                                        <div class="col-md-12">
                                                            <label id="gateway_label" for="networkgateway" class="col-md-12 control-label numonly">Network Gateway</label>
                                                        </div>
                                                      </div>
                                                      <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit25" id="Label24"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit25" class="aSpinEdit form-control" name="EthGateway[0]" value="<?php echo $EthGateway[0] ?>"/>
                                                                </span>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit26" id="Label25"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit26" class="aSpinEdit form-control" name="EthGateway[1]" value="<?php echo $EthGateway[1] ?>"/>
                                                                </span>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit27" id="Label26"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit27" class="aSpinEdit form-control" name="EthGateway[2]" value="<?php echo $EthGateway[2] ?>"/>
                                                                </span>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <label class="control-label" for="spinEdit28" id="Label27"></label>
                                                                <span class="input-group-addon">
                                                                     <input type="text" id="spinEdit28" class="aSpinEdit form-control" name="EthGateway[3]" value="<?php echo $EthGateway[3] ?>"/>
                                                                </span>
                                                            </div>
                                                        </div>
                                                      </div>
                                                      <div class="row">
                                                        <div class="col-md-12">
                                                            &nbsp;
                                                        </div>
                                                      </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    &nbsp;
                                                </div>
                                            </div>
                                            <div class="panel panel-primary">
                                                <div class="panel-heading">
                                                    <h3 id="dns_header" class="panel-title">DNS Address</h3>
                                                </div>
                                                <div class="panel-body">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="btn-group">
                                                                <div class="btn-group btn-toggle" data-toggle="buttons">
                                                                    <label label-default="" class="btn btn-default" id="dhcp_auto_b" onclick="DNS_Toggle('dynamic')">
                                                                        DHCP Automatic
                                                                    </label>
                                                                    <label label-default="" class="btn btn-warning" id="specific_server_b" onclick="DNS_Toggle('static')">
                                                                        DNS Server
                                                                    </label>
                                                                    <input class="hidden_values" type="hidden" name="EthDNS" id="EthDNS" value="" />
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            &nbsp;
                                                        </div>
                                                    </div>
                                                    <div id="dns1">
                                                        <div class="row">
                                                            <div class="col-md-12">
                                                                <div class="col-md-3">
                                                                    <label class="control-label" for="spinEdit37" id="Label36"></label>
                                                                    <span class="input-group-addon">
                                                                         <input type="text" id="spinEdit37" class="aSpinEdit form-control" name="EthDNSAddr[0]" value="<?php echo $EthDNSAddr[0]; ?>"/>
                                                                    </span>
                                                                </div>
                                                                <div class="col-md-3">
                                                                    <label class="control-label" for="spinEdit38" id="Label37"></label>
                                                                    <span class="input-group-addon">
                                                                         <input type="text" id="spinEdit38" class="aSpinEdit form-control" name="EthDNSAddr[1]" value="<?php echo $EthDNSAddr[1]; ?>"/>
                                                                    </span>
                                                                </div>
                                                                <div class="col-md-3">
                                                                    <label class="control-label" for="spinEdit39" id="Label38"></label>
                                                                    <span class="input-group-addon">
                                                                         <input type="text" id="spinEdit39" class="aSpinEdit form-control" name="EthDNSAddr[2]" value="<?php echo $EthDNSAddr[2]; ?>"/>
                                                                    </span>
                                                                </div>
                                                                <div class="col-md-3">
                                                                    <label class="control-label" for="spinEdit40" id="Label39"></label>
                                                                    <span class="input-group-addon">
                                                                         <input type="text" id="spinEdit40" class="aSpinEdit form-control" name="EthDNSAddr[3]" value="<?php echo $EthDNSAddr[3]; ?>"/>
                                                                    </span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6 col-md-offset-4">
                                                <ul class="pager">
                                                    <li class="edit">
                                                        <a href="#" id="save_all" onclick="document.getElementById('cont_ethernet').submit();">
                                                            Save All 
                                                            <span class="glyphicon glyphicon-save"></span>
                                                            <span class="sr-only">(current)</span>
                                                        </a>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                  </div> 
                              </div>
                        </div>
                       </form>
                  </div>
                </div>
            </div>
            <?php require('footer.php'); ?>
          </div>  
      </div>   
    <?php //require('js_footer.php'); ?>
  </body>
</html>
